//
//  CAPPApplicationBundle.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 26.07.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import "CAPPBundle.h"


#define CAPPRelatedFilesKey @"relatedFiles"


@class CAPPExecutableFile;


@interface CAPPApplicationBundle : CAPPBundle
{
    NSArray *executableFiles;
	NSSet *relatedFiles;
	NSURL *iconDownloadURL;
	NSDictionary *displayNames;
	NSNumber *isRelic;
}

@property (readonly) CAPPExecutableFile *mainExecutable;
@property (retain) NSArray *executableFiles;
@property (copy) NSSet *relatedFiles;
@property (retain) NSURL *iconDownloadURL;
@property (retain) NSDictionary *displayNames;
@property (retain) NSNumber *isRelic;

@end


enum _CAPPRelatedFileType
{
	CAPPRelatedFileTypeUnknown = 0,
	CAPPRelatedFileTypeApplication = (1 << 0),
	CAPPRelatedFileTypeDocument = (1 << 1),
	CAPPRelatedFileTypePreferenceFile = (1 << 2),
	CAPPRelatedFileTypeCacheFile = (1 << 3),
	CAPPRelatedFileTypeApplicationSupportFile = (1 << 4),
	CAPPRelatedFileTypeSavedApplicationState = (1 << 5),
	CAPPRelatedFileTypeDesktopFile = (1 << 6),
	CAPPRelatedFileTypeDownload = (1 << 7),
	CAPPRelatedFileTypeContainer = (1 << 8),
	CAPPRelatedFileTypeApplicationContainer = (1 << 9)
}
typedef CAPPRelatedFileType;


enum _CAPPRelatedFileSource
{
	CAPPRelatedFileSourceApp = (1 << 0),
	CAPPRelatedFileSourceBundleIdentifier = (1 << 1),
	CAPPRelatedFileSourceName = (1 << 2),
	CAPPRelatedFileSourceDaemon = (1 << 3),
	CAPPRelatedFileSourceCleanCommunity = (1 << 4),
	CAPPRelatedFileSourceContainer = (1 << 5),
	CAPPRelatedFileSourceParentDirectory = (1 << 6)
}
typedef CAPPRelatedFileSource;


@interface CAPPRelatedFile : CAPPPath
{
	NSNumber *source;
	NSNumber *type;
	NSNumber *display;
	NSNumber *rating;
	NSNumber *isContainerFile;
	
	CAPPRelatedFile *parent;
	NSMutableArray *children;
	NSNumber *hideChildren;
}

@property (retain) NSNumber *source;
@property (retain) NSNumber *type;
@property (retain) NSNumber *display;
@property (retain) NSNumber *rating;
@property (retain) NSNumber *isContainerFile;
@property (assign) CAPPRelatedFile *parent;
@property (readonly) NSMutableArray *children;
@property (retain) NSNumber *hideChildren;

@end