//
//  CAPPFilesystemWatcher.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 24.08.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

@class CAPPFilesystemWatcher;


@protocol CAPPFilesystemWatcherDelegate

- (void)filesystemWatcher:(CAPPFilesystemWatcher *)watcher didWatchFilesystemEventAtURL:(NSURL *)url;

@end


@interface CAPPFilesystemWatcher : NSObject
{
    id <CAPPFilesystemWatcherDelegate> delegate;
    NSSet *urls;
    
    FSEventStreamRef eventStream;
}

@property (assign) id <CAPPFilesystemWatcherDelegate> delegate;
@property (retain, setter = setURLs:) NSSet *urls;

- (void)start;
- (void)stop;

@end
