//
//  CAPPPathSearchControllerManager.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 17/01/2014.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

@class CAPPPathSearchController;
@class CAPPIconCache;
@class CAPPPathProtectionRevisor;


@interface CAPPPathSearchControllerManager : NSObject
{
	NSMutableDictionary *pathSearchControllers;
	
	CAPPIconCache *iconCache;
	NSOperationQueue *operationQueue;
	NSOperationQueue *ioOperationQueue;
	
	CAPPPathProtectionRevisor *pathProtectionRevisor;
}

@property (readonly) CAPPIconCache *iconCache;
@property (readonly) NSOperationQueue *operationQueue;
@property (readonly) NSOperationQueue *ioOperationQueue;

+ (CAPPPathSearchControllerManager *)manager;

- (CAPPPathSearchController *)preparedPathSearchControllerOfClass:(Class)controllerClass;

@end
