//
//  CAPPURLConnection.h
//  CleanApp
//
//  Created by Tobias Kalus on 30.05.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

@class CAPPURLConnection;


@protocol CAPPURLConnectionDelegate

- (void)URLConnection:(CAPPURLConnection *)connection didReceiveData:(NSData *)data context:(id)context;
- (void)URLConnection:(CAPPURLConnection *)connection didFailWithError:(NSError *)error context:(id)context;

@end


@interface CAPPURLConnection : NSObject 
{
	NSURLConnection *connection;
	NSMutableData *data;
	
	id context;	
	id <CAPPURLConnectionDelegate> delegate;
}

- (id)initWithConnectionDelegate:(id <CAPPURLConnectionDelegate>)d;

- (void)executeRequest:(NSURLRequest *)request context:(id)ctx;
- (void)cancel;

@end
