//
//  CAPPVolume.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 07.09.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import "CAPPDirectory.h"
#import "CAPPDevice.h"


@interface CAPPVolume : CAPPDirectory
{
    NSNumber *blessed;
    NSNumber *activeSystemVolume;
    NSNumber *networkVolume;
	NSNumber *totalBytes;
	NSNumber *freeBytes;
	NSNumber *timeMachineVolume;
	NSURL *diskImageURL;
	CAPPDevice *device;
	NSString *identifier;
	NSString *uuid;
	NSURL *sourceURL;
}

@property (retain) NSNumber *blessed;
@property (retain) NSNumber *activeSystemVolume;
@property (retain) NSNumber *networkVolume;
@property (retain) NSNumber *totalBytes;
@property (retain) NSNumber *freeBytes;
@property (readonly) NSNumber *usedBytes;
@property (readonly) NSNumber *diskUsage;
@property (retain) NSNumber *timeMachineVolume;
@property (retain) NSURL *diskImageURL;
@property (assign) CAPPDevice *device;
@property (retain) NSString *identifier;
@property (retain) NSString *uuid;
@property (retain) NSURL *sourceURL;

+ (NSString *)timeMachineBackupDirectoryName;
- (NSURL *)timeMachineBackupDirectoryURL;

@end
