//
//  CAPPArchive.h
//  ZipTest
//
//  Created by Tobias Kalus on 12.03.13.
//  Copyright (c) 2013 Tobias Kalus. All rights reserved.
//

@protocol CAPPArchiveEntry <NSObject>

@property (readonly) NSURL *url;
@property (readonly) NSImage *icon;
@property (readonly) unsigned long long size;

@end


@class CAPPArchive;


@protocol CAPPArchiveDelegate <NSObject>

- (void)archive:(CAPPArchive *)archive didUncompressEntry:(unsigned long long)entry of:(unsigned long long)entryCount;
- (void)archive:(CAPPArchive *)archive didcompressEntry:(unsigned long long)entry of:(unsigned long long)entryCount;

@end


@interface CAPPArchive : NSObject
{
	NSURL *archiveURL;
	NSMutableSet *contentURLs;
	NSSet *topLevelEntries;
	NSDictionary *archiveInfo;
	BOOL loaded;
	BOOL cancel;
}

@property (readonly) BOOL loaded;
@property (readonly) NSURL *archiveURL;
@property (readonly) NSSet *contentURLs;
@property (readonly) NSSet *entries;
@property (readonly) NSDictionary *archiveInfo;

- (id)initWithURL:(NSURL *)url;

+ (BOOL)canOpenArchiveAtURL:(NSURL *)url;
- (BOOL)writeFilesAndInfo:(NSDictionary *)info delegate:(id <CAPPArchiveDelegate>)delegate;
- (void)load;

- (void)extractEntries:(NSArray *)entries toDirectoriesAtURLs:(NSArray *)urls delegate:(id <CAPPArchiveDelegate>)delegate;
- (void)convert:(NSURL *)directory;

- (void)addURLs:(NSSet *)urls;
- (void)removeURLs:(NSSet *)urls;

- (NSSet *)targetURLsOfEntries:(NSSet *)entries;

- (void)cancel;

@end
