//
//  CAPPBlacklistManager.h
//  CleanApp
//
//  Created by Tobias Kalus on 03.04.12.
//  Copyright (c) 2012 Synium Software GmbH. All rights reserved.
//

#import "CAPPURLConnection.h"
#import <pthread.h>


#define CAPPBlacklistDidInitializeNotificationName @"BlacklistManagerDidInitialize"
#define CAPPBlacklistDidUpdateNotificationName @"BlacklistManagerDidUpdate"
#define CAPPBlacklistKey @"blacklist"


@interface CAPPBlacklistManager : NSObject <CAPPURLConnectionDelegate>
{
	NSMutableSet *blacklist;
	NSDate *createDate;
	NSDate *updateDate;
	
	CAPPURLConnection *connection;
}

@property (readonly) NSSet *blacklistedURLs; 

- (void)loadBlacklist;

- (BOOL)isBlacklistedFileAtURL:(NSURL *)url;

@end
