//
//  CAPPContainer.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 17/01/2014.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#import "CAPPDirectory.h"


#define CAPPContainerContentsKey @"containerContents"


@interface CAPPContainer : CAPPDirectory {
	NSString *bundleIdentifier;
	NSString *name;
	NSSet *contents;
	NSURL *application;
}

@property (copy) NSString *bundleIdentifier;
@property (copy) NSString *name;
@property (copy) NSSet *contents;
@property (retain) NSURL *application;

@end


enum _CAPPContainerContentType
{
	CAPPContainerContentTypeRemains = 0,
	CAPPContainerContentTypeDocuments = 1,
	CAPPContainerContentTypePreferenceFiles = 3,
	CAPPContainerContentTypeCacheFiles = 2,
	CAPPContainerContentTypeApplicationSupportFiles = 4,
	CAPPContainerContentTypeSavedApplicationState = 5,
}
typedef CAPPContainerContentType;


@interface CAPPContainerContent : NSObject <NSCopying>
{
	NSSet *rootPaths;
	NSNumber *type;
	NSNumber *filesize;
	NSURL *directoryURL;
	CAPPContainer *container;
}

@property (assign) CAPPContainer *container;
@property (copy) NSSet *rootPaths;
@property (retain) NSNumber *type;
@property (retain) NSNumber *filesize;
@property (copy) NSURL *directoryURL;

@end
