//
//  CAPPPath.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 26.07.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import "CAPPIcon.h"
#import "CAPPPathProtectionRevisor.h"


@interface CAPPPath : NSObject <NSCopying, NSObject, NSCoding>
{
    NSURL *url;
    NSURL *localizedURL;
	
    NSString *uti;
    NSString *filetype;
    NSString *localizedFiletype;
    CAPPIcon *icon;
    NSNumber *filesize;
    NSDate *modificationDate;
    NSDate *creationDate;
    NSDate *accessDate;
	NSDate *lastUsedDate;
    NSMutableDictionary *customAttributes;
	
	NSUInteger hash;
	
	CAPPPathProtection pathProtection;
	
	NSNumber *selected;
}

@property (retain, setter = setURL:) NSURL *url;
@property (readonly) NSURL *parentDirectoryURL;
@property (readonly) NSString *filename;

@property (retain) NSURL *localizedURL;
@property (readonly) NSURL *localizedParentDirectoryURL;
@property (readonly) NSString *localizedFilename;

@property (retain, setter = setUTI:) NSString *uti;
@property (retain) NSString *filetype;
@property (retain) NSString *localizedFiletype;
@property (retain) CAPPIcon *icon;
@property (retain) NSNumber *filesize;
@property (retain) NSDate *modificationDate;
@property (retain) NSDate *creationDate;
@property (retain) NSDate *accessDate;
@property (retain) NSDate *lastUsedDate;
@property (readonly) NSMutableDictionary *customAttributes;

@property (assign) CAPPPathProtection pathProtection;

@property (retain) NSNumber *selected;

- (NSComparisonResult)compare:(CAPPPath *)path;

@end
