//
//  CAPPPathProtectionRevisor.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 23/01/2014.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#import "CAPPBlacklistManager.h"
#import "CAPPSystemPathProtectionManager.h"
#import "CAPPDirectoryExclusionManager.h"
#import "CAPPBundleProtectionManager.h"


enum _CAPPPathProtection
{
	CAPPPathProtectionNone = 0,
	CAPPPathProtectionIsExcludedPath = (1 << 0),
	CAPPPathProtectionIsBlacklistedPath = (1 << 1),
	CAPPPathProtectionIsProtectedSystemPath = (1 << 2),
	CAPPPathProtectionIsCodeSigned = (1 << 3),
	CAPPPathProtectionIsAppStoreApp = (1 << 4),
}
typedef CAPPPathProtection;



@interface CAPPPathProtectionRevisor : NSObject
{
	CAPPBlacklistManager *blacklistManager;
	CAPPSystemPathProtectionManager *systemPathProtectionManager;
	CAPPDirectoryExclusionManager *directoryExclusionManager;
	CAPPBundleProtectionManager *bundleProtectionManager;
}

@property (readonly) CAPPBlacklistManager *blacklistManager;
@property (readonly) CAPPSystemPathProtectionManager *systemPathProtectionManager;
@property (readonly) CAPPDirectoryExclusionManager *directoryExclusionManager;
@property (readonly) CAPPBundleProtectionManager *bundleProtectionManager;

- (id)initWithOperationQueue:(NSOperationQueue *)operationQueue;

+ (CAPPPathProtectionRevisor *)revisor;

- (CAPPPathProtection)checkPathProtectionForURL:(NSURL *)url checkBundleContents:(BOOL)checkBundleContents;

@end
