//
//  CAPPDaemonManager+Query.h
//  CleanApp
//
//  Created by Tobias Kalus on 10.02.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import "CAPPDaemonManager.h"


@interface CAPPDaemonManager (Query)

- (void)createNewDatabase;
- (void)cleanDatabase;

- (NSArray *)excludedApplications;
- (void)addExcludedApplication:(NSString *)applicationPath;
- (void)removeExcludedApplication:(NSString *)applicationPath;
- (void)resetExcludedApplications;

- (NSArray *)fetchAllApplications;
- (NSArray *)fetchRelatedFilesOfApplicationAtURL:(NSURL *)url includeFileToAppRelations:(BOOL)includeFileToAppRelations;
- (NSArray *)fetchRelatedApplicationsOfFileAtURL:(NSURL *)fileURL;

- (void)assignFiles:(NSArray *)files toApplication:(NSString *)application;

@end
