//
//  CAPPMetadataQuery.h
//  CleanApp
//
//  Created by Tobias Kalus on 13.02.13.
//  Copyright (c) 2013 Synium Software GmbH. All rights reserved.
//

#import <pthread.h>


@interface CAPPMetadataQuery : NSObject
{
	NSArray *searchScopes;
	NSString *string;
	NSMutableArray *results;
	NSArray *attributes;
	MDQueryRef query;
	pthread_mutex_t mutex;
	pthread_cond_t condition;
	unsigned int maximumNumberOfResults;
	BOOL running;
	BOOL cancel;
}

@property (copy) NSArray *searchScopes;
@property (copy) NSString *string;
@property (copy) NSArray *attributes;
@property unsigned int maximumNumberOfResults;

- (NSArray *)executeSynchronous;
- (void)cancel;

@end
