//
//  CAPPRelicsSearchController.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 02/06/14.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#import "CAPPPathSearchController.h"
#import "CAPPURLConnection.h"
#import <pthread.h>


@interface CAPPRelicsSearchController : CAPPPathSearchController <CAPPURLConnectionDelegate>
{
	CAPPURLConnection *connection;
	
	NSMutableDictionary *applicationURLs;
	NSMutableDictionary *applicationBundleIdentifiers;
	
	NSMutableArray *volumes;
	NSMutableSet *activeSystemVolumes;
	NSMutableSet *inactiveSystemVolumes;
	NSMutableSet *nonBlessedVolumes;
	
	NSMutableDictionary *searchedDirectories;
	
	pthread_mutex_t mutex;
	pthread_cond_t cond;
	
	BOOL cancel;
}

@end


#import "CAPPPath.h"


@interface CAPPRelic : CAPPPath
{
	NSSet *applications;
	NSNumber *isPossibleRelic;
}

@property (retain) NSSet *applications;
@property (retain) NSNumber *isPossibleRelic;

@end