//
//  CAPPSystemAuxiliaries.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 15.09.10.
//  Copyright 2010 Synium Software GmbH. All rights reserved.
//

#import <sys/sysctl.h>
#import <sys/stat.h>
#include <pwd.h>
#include <grp.h>


#define CAPPDailyMaintenanceScript @"daily"
#define CAPPWeeklyMaintenanceScript @"weekly"
#define CAPPMonthlyMaintenanceScript @"monthly"


@interface CAPPSystemAuxiliaries : NSObject 
{
}
+ (NSArray *)maintenanceScriptsConfigurationFiles;
+ (NSDictionary *)maintenanceScriptsLogFiles;
+ (NSDate *)lastRunOfMaintenanceScript:(NSString *)script;

+ (NSArray *)processTable;
+ (NSArray *)processesWithName:(NSString *)processName;
+ (void)processURL:(NSURL **)processURL andName:(NSString **)processName forProcessInfo:(struct kinfo_proc)processInfo;
+ (BOOL)processWithNameExists:(NSString *)processName;
+ (BOOL)processInfo:(struct kinfo_proc *)info forProcessWithID:(pid_t)pid;
+ (pid_t)parentProcessIDOfProcessWithID:(pid_t)pid;

+ (uid_t)userID;
+ (gid_t)userGroupID;
+ (NSString *)userName;
+ (NSString *)userGroupName;
+ (NSURL *)homeDirectoryURLForUser:(NSString *)username;

@end
