//
//  NSURL-Additions.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 10.02.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

@interface NSURL (Additions)

- (const char *)fileSystemRepresentation;

- (id)initWithFilePath:(const char *)filePath;
+ (NSURL *)urlWithFilePath:(const char *)filePath;

- (NSComparisonResult)compare:(NSURL *)url;
- (NSComparisonResult)localizedCaseInsensitiveCompare:(NSURL *)url;

- (NSURL *)URLRelativeToURL:(NSURL *)url;

- (BOOL)isParentDirectoryOfURL:(NSURL *)url;

- (NSNumber *)filesize;

- (NSNumber *)isDirectory;
- (NSNumber *)isAlias;
- (NSNumber *)isSymlink;
- (NSNumber *)isLink;
- (NSNumber *)isPackage;
- (NSString *)typeIdentifier;
- (NSDate *)creationDate;
- (NSDate *)modificationDate;
- (NSDate *)accessDate;
- (NSDate *)lastUsedDate;

@end
