//
//  CAPPApplicationsSearchController.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 11/02/2014.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#import "CAPPPathSearchController.h"
#import <pthread.h>
#import "CAPPURLConnection.h"


@class CAPPApplicationBundle;


@interface CAPPApplicationSizeCalculationOperation : NSOperation <NSCopying>
{
	CAPPApplicationBundle *application;
}

@property (retain) CAPPApplicationBundle *application;

@end


@interface CAPPApplicationsSearchController : CAPPPathSearchController <CAPPURLConnectionDelegate>
{
	pthread_mutex_t connectionMutex;
	pthread_cond_t connectionCondition;
	
	CAPPURLConnection *connection;
	
	MDQueryRef query;
	
	NSDictionary *relatedFileTypes;
	NSDictionary *relatedFileContainerTypes;
	NSString *containersPath;
	
	NSMutableSet *invalidURLs;
	NSString *demoFilename;
	NSString *hiddenSyniumFilesPrefix;
	NSString *documentRevisionsDirectory;
	NSString *mailDirectory;
	NSString *frameworkPathExtension;
	NSString *trashPathComponent;
	NSString *trashesPathComponent;
	NSString *mobileDocumentsDirectory;
	
	BOOL cancel;
	
	NSDictionary *searchVolumes;
	
	NSRecursiveLock *queryLock;
}

@property (copy) NSDictionary *searchVolumes;

- (void)searchRelatedFilesForApplicationAtURL:(NSURL *)url useCleanCommunity:(BOOL)useCleanCommunity completionBlock:(void (^)(CAPPApplicationBundle *))completionBlock;
- (void)searchRelatedFilesForApplication:(CAPPApplicationBundle *)application useCleanCommunity:(BOOL)useCleanCommunity completionBlock:(void (^)(void))completionBlock;

@end
