//
//  CAPPCacheTable.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 28.10.11.
//  Copyright (c) 2011 Synium Software GmbH. All rights reserved.
//



@protocol CAPPCacheTableDataSource;
@class CAPPCacheTableDescription;
@class CAPPBaseCacheTableViewDataSource;


enum _CAPPCacheTableStoreType
{
	CAPPCacheTableMemoryStoreType = 1,
	CAPPCacheTableSQLiteStoreType = 2
}
typedef CAPPCacheTableStoreType;


@interface CAPPCacheTable : NSObject
{
	NSString *identifier;
	CAPPCacheTableDescription *description;
	CAPPBaseCacheTableViewDataSource <CAPPCacheTableDataSource> *dataSource;
}

@property (readonly) NSString *identifier;

- (void)clean;

- (void)addValue:(id <NSObject>)value;
- (void)removeValueAtIndex:(unsigned long)index;
- (void)removeValue:(id <NSObject>)value;
- (void)removeAllValues;

- (BOOL)containsValue:(id <NSObject>)value;
- (unsigned long)numberOfValues;
- (NSArray *)allValues;
- (id)valueAtIndex:(unsigned long)index;
- (long)indexOfValue:(id <NSObject>)value;

@end
