//
//  CAPPLanguageAuxiliaries.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 08.09.10.
//  Copyright 2010 Synium Software GmbH. All rights reserved.
//

#define CAPPLocalizedStringFromBundle(key, comment, bundle) NSLocalizedStringFromTableInBundle(key, nil, bundle, comment)
#define CAPPLocalizedString(key, comment) CAPPLocalizedStringFromBundle(key, comment, [NSBundle bundleForClass:self.class])


@interface CAPPLanguageAuxiliaries : NSObject 
{
}

+ (NSArray *)systemLanguageCodes;
+ (NSArray *)preferredSystemLanguageCodes;
+ (NSString *)systemLanguageCode;
+ (NSString *)displayNameForLanguageCode:(NSString *)languageCode;
+ (NSString *)displayNameForBundleAtURL:(NSURL *)url;
+ (NSString *)localizedNameOfBundle:(NSBundle *)bundle localization:(NSString *)localization;
+ (NSString *)localizedLastPathComponent:(NSURL *)url;
+ (NSURL *)localizedFileURL:(NSURL *)url;
+ (NSString *)localizedTypeOfFileAtURL:(NSURL *)url;
+ (NSString *)localizedSizeString:(NSUInteger)size;
+ (NSString *)developmentLocalizationOfBundleAtURL:(NSURL *)url;
+ (NSDictionary *)localizationsOfBundleAtURL:(NSURL *)url;
+ (NSDictionary *)deletableLocalizationsOfBundleAtURL:(NSURL *)url;

@end
