//
//  CAPPPathSearchControllerProxy.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 11/04/14.
//  Copyright (c) 2014 Synium Software GmbH. All rights reserved.
//

#import "CAPPPathSearchController.h"


@protocol CAPPPathSearchControllerProxyDelegate <CAPPPathSearchControllerDelegate>

- (void)pathSearchController:(CAPPPathSearchController *)controller didAddResults:(NSArray *)results;
- (void)pathSearchController:(CAPPPathSearchController *)controller didRemoveResults:(NSArray *)results;

@end


@interface CAPPPathSearchControllerProxy : NSObject <CAPPPathSearchControllerDelegate>
{
	NSMutableArray *newResults;
	NSMutableArray *oldResults;
	NSTimer *updateTimer;
	id <CAPPPathSearchControllerProxyDelegate> delegate;
	CAPPPathSearchController *controller;
}

- (id)initWithPathSearchController:(CAPPPathSearchController *)pathSearchController delegate:(id <CAPPPathSearchControllerProxyDelegate>)proxyDelegate;
- (void)clean;

@end
