//
//  CAPPProcess.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 31.01.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import <sys/sysctl.h>


@interface CAPPProcess : NSObject 
{
	struct kinfo_proc info;
	
	pid_t pid;
	uid_t uid;
	NSURL *url;
	NSString *name;
	
	NSURL *bundleURL;
	NSString *bundleIdentifier;
	
	BOOL parentProcessSearchPerformed;
	CAPPProcess *parentProcess;
}

@property (readonly) pid_t pid;
@property (readonly) uid_t uid;
@property (readonly) NSURL *url;
@property (readonly) NSString *name;
@property (readonly) CAPPProcess *parentProcess;
@property (readonly) NSURL *bundleURL;
@property (readonly) NSString *bundleIdentifier;

- (id)initWithInfo:(struct kinfo_proc)processInfo;
+ (CAPPProcess *)processWithInfo:(struct kinfo_proc)processInfo;
+ (CAPPProcess *)processWithID:(pid_t)processID;
+ (CAPPProcess *)currentProcess;

@end
