//
//  CAPPCacheTableDataSource.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 02.11.11.
//  Copyright (c) 2011 Synium Software GmbH. All rights reserved.
//

@class CAPPCacheTableDescription;
@class CAPPCacheTable;


@protocol CAPPCacheTableDataSource <NSObject>

- (id)initWithCacheTableDescription:(CAPPCacheTableDescription *)description cacheTable:(CAPPCacheTable *)table;
- (void)clean;

- (void)addValue:(id <NSObject>)value;
- (void)removeValueAtIndex:(unsigned long)index;
- (void)removeValue:(id <NSObject>)value;
- (void)removeAllValues;

- (BOOL)containsValue:(id <NSObject>)value;
- (unsigned long)numberOfValues;
- (NSArray *)allValues;
- (id)valueAtIndex:(unsigned long)index;
- (long)indexOfValue:(id <NSObject>)value;

@end
