//
//  CAPPIconContainer.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 13.01.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

@class CAPPIconContainer;


@protocol CAPPIconContainerDelegate

- (void)iconContainerDidLoadImage:(CAPPIconContainer *)container;

@end


@interface CAPPIconContainer : NSObject
{
	id <CAPPIconContainerDelegate> delegate;
	
	__block NSImage *image;
	NSURL *url;
	NSSize imageSize;
	NSDate *accessDate;
	unsigned long long occupiedMemory;
	void (^loadHandler)(void);
	__block BOOL loading;
	BOOL tempURL;
	NSRecursiveLock *lock;
}

@property (assign) id <CAPPIconContainerDelegate> delegate;
@property (readonly) NSImage *image;
@property (retain) NSURL *url;
@property NSSize imageSize;
@property (retain) NSDate *accessDate;
@property (readonly) unsigned long long occupiedMemory;
@property (copy) void (^loadHandler)(void);

- (id)initWithPreloadedImage:(NSImage *)i size:(NSSize)s url:(NSURL *)u;

- (void)invalidateImage;
- (BOOL)cachedImageAvailable;

@end
