//
//  CAPPDaemonPreferencePane.h
//  CleanAppDaemon
//
//  Created by Tobias Kalus on 17.02.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

#import <PreferencePanes/PreferencePanes.h>
#import <SecurityInterface/SFAuthorizationView.h>


@interface CAPPDaemonPreferencePane : NSPreferencePane <NSOpenSavePanelDelegate, NSTableViewDelegate, NSTableViewDataSource, NSTextFieldDelegate, NSMenuDelegate>
{
	IBOutlet NSImageView *daemonImageView;
	IBOutlet NSButton *toggleDaemonStateButton;
	IBOutlet NSPopUpButton *trashWindowBehaviourPopUpButton;
	
	IBOutlet NSButton *repairDatabaseButton;
	IBOutlet NSButton *createNewDatabaseButton;
	IBOutlet NSButton *revealInFinderButton;
	
	IBOutlet NSArrayController *excludedApplicationsController;
	IBOutlet NSTableView *excludedApplicationsTableView;
	IBOutlet NSButton *addExcludedApplicationButton;
	IBOutlet NSButton *removeExcludedApplicationButton;
	IBOutlet NSButton *resetExcludedApplicationsButton;
	
	IBOutlet NSMenuItem *openCleanAppMenuItem;
	IBOutlet NSMenuItem *askMeWhatToDoMenuItem;
	IBOutlet NSMenuItem *doNothingMenuItem;
	
	IBOutlet SFAuthorizationView *authorizationView;
	
	IBOutlet CAPPDaemonManager *daemonManager;
	
	BOOL initialized;
	
	IBOutlet NSPanel *processNameSheet;
	IBOutlet NSTextField *processNameLabelTextField;
	IBOutlet NSTextField *processNameTextField;
	IBOutlet NSButton *addProcessNameButton;
	IBOutlet NSButton *cancelProcessNameInputSheetButton;
}

@property (readonly) BOOL unlocked;

- (void)updateTrashWindowBehaviourPopUpButton;

- (IBAction)toggleDaemonState:(id)sender;
- (IBAction)cleanDatabase:(id)sender;
- (IBAction)createNewDatabase:(id)sender;
- (IBAction)changeTrashWindowBehaviour:(id)sender;

- (void)updateExcludedApplications;

- (IBAction)cancelProcessNameSheet:(id)sender;
- (IBAction)confirmProcessNameSheet:(id)sender;

- (IBAction)addExcludedApplication:(id)sender;
- (IBAction)removeExcludedApplication:(id)sender;
- (IBAction)resetExcludedApplications:(id)sender;
- (IBAction)revealInFinder:(id)sender;


@end
