//
//  CAPPSharedDefines.h
//  CleanAppDaemon
//
//  Created by Tobias Kalus on 07.02.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//



//#define CAPPCleanCommunityServiceURL [NSURL URLWithString:@"http://localhost:15832"]
#define CAPPCleanCommunityServiceURL [NSURL URLWithString:@"http://CleanCommunity.de"]

#define CAPPCleanCommunityRequestTimeoutInterval 120.0

#define CAPPDaemonConnectionName @"CleanAppDaemonConnection"

#define CAPPDaemonDidStartNotificationName @"CleanAppDaemonDidStart"
#define CAPPDaemonDidStopNotificationName @"CleanAppDaemonDidStop"
#define CAPPDaemonWillCleanDatabaseNotificationName @"CleanAppDaemonWillCleanDatabase"
#define CAPPDaemonDidCleanDatabaseNotificationName @"CleanAppDaemonDidCleanDatabase"
#define CAPPDaemonApplicationsWereMovedToTrashNotificationName @"CleanAppDaemonApplicationWereMovedToTrash"
#define CAPPTrashedApplicationURLsKey @"trashedApplicationURLs"

#define CAPPURLForDirectoryInDomain(directory, domain) [NSURL fileURLWithPath:[NSSearchPathForDirectoriesInDomains((directory), (domain), YES) objectAtIndex:0]]

#define CAPPCleanAppDirectoryName @"CleanApp4"

#define CAPPLibraryDirectoyURL CAPPURLForDirectoryInDomain(NSLibraryDirectory, NSLocalDomainMask)
#define CAPPApplicationSupportDirectoryURL CAPPURLForDirectoryInDomain(NSApplicationSupportDirectory, NSLocalDomainMask)
#define CAPPCleanAppSupportUserDirectoryURL [CAPPURLForDirectoryInDomain(NSApplicationSupportDirectory, NSUserDomainMask) URLByAppendingPathComponent:CAPPCleanAppDirectoryName]
#define CAPPUserDirectoryURL [CAPPSystemAuxiliaries homeDirectoryURLForUser:[CAPPSystemAuxiliaries userName]]
#define CAPPLibraryUserDirectoryURL [CAPPUserDirectoryURL URLByAppendingPathComponent:@"Library"]
#define CAPPPreferencesUserDirectoryURL [CAPPLibraryUserDirectoryURL URLByAppendingPathComponent:@"Preferences"]

#define CAPPCleanAppPreferencesFileURL [[[CAPPPreferencesUserDirectoryURL URLByAppendingPathComponent:CAPPCleanAppBundleIdentifier] URLByAppendingPathExtension:@"plist"] filePathURL]
#define CAPPDaemonPreferencesFileURL [[[CAPPPreferencesUserDirectoryURL URLByAppendingPathComponent:CAPPDaemonBundleIdentifier] URLByAppendingPathExtension:@"plist"] filePathURL]

#define CAPPCacheFileExtensions @"cache"
#define CAPPConfigurationFileExtension @"conf"

#define CAPPDaemonLibraryDirectoryURL [CAPPApplicationSupportDirectoryURL URLByAppendingPathComponent:CAPPCleanAppDirectoryName]

#define CAPPCleanAppApplicationName @"CleanApp.app"

#define CAPPDaemonApplicationName @"CleanAppDaemon.app"
#define CAPPDaemonLibraryApplicationURL [CAPPDaemonLibraryDirectoryURL URLByAppendingPathComponent:CAPPDaemonApplicationName]
#define CAPPDaemonLibraryBinaryURL [CAPPDaemonLibraryApplicationURL URLByAppendingPathComponent:@"Contents/MacOS/CleanAppDaemon"]

#define CAPPLaunchDaemonsPropertyListBundleURL [NSURL fileURLWithPath:[[[NSBundle bundleForClass:[self class]] resourcePath] stringByAppendingPathComponent:CAPPDaemonPropertyListName]]

#define CAPPLaunchDaemonsDirectoryURL [CAPPLibraryDirectoyURL URLByAppendingPathComponent:@"LaunchDaemons"]
#define CAPPLaunchDaemonsPropertyListURL [CAPPLaunchDaemonsDirectoryURL URLByAppendingPathComponent:CAPPDaemonPropertyListName]

#define CAPPDatabaseName @"Database.sql"
#define CAPPDatabaseURL [CAPPDaemonLibraryDirectoryURL URLByAppendingPathComponent:CAPPDatabaseName]

#define CAPPSourcePath @"sourcePath"
#define CAPPDestinationPath @"destinationPath"

#define CAPPLoggingServiceInstallerName @"CleanApp Logging Service Installer.app"

#define CAPPArchiveMountURL [NSURL fileURLWithPath:@"/Volumes/CleanAppArchive"]

#define CAPPDaemonBundleIdentifier @"com.syniumsoftware.CleanAppDaemon"
#define CAPPDaemonPropertyListName [CAPPDaemonBundleIdentifier stringByAppendingPathExtension:@"plist"]

#define CAPPCleanAppBundleIdentifier @"com.syniumsoftware.CleanApp"
#define CAPPCleanAppPropertyListName [CAPPCleanAppBundleIdentifier stringByAppendingPathExtension:@"plist"]

#define CAPPDaemonPreferencePaneBundleIdentifier @"com.syniumsoftware.CleanAppDaemon.PreferencePane"
#define CAPPDaemonPreferencePaneDidStartNotificationName @"daemonPreferencePaneDidStart"

#define CAPPTrashWindowBehaviourDidChangeNotificationName @"TrashWindowBehaviourDidChange"

#define CAPPTrashWindowBehaviourKey @"TrashWindowBehaviour"
#define CAPPTrashWindowBehaviourNone 0
#define CAPPTrashWindowBehaviourAsk 1
#define CAPPTrashWindowBehaviourOpen 2
#define CAPPTrashWindowDefaultBehavior CAPPTrashWindowBehaviourNone

#define CAPPTrashWindowConnection @"TrashWindowConnection"

#define CAPPTrashWindowDidStartNotificationName @"TrashWindowDidStart"
#define CAPPTrashWindowDidTerminateNotificationName @"TrashWindowDidTerminate"

#define CAPPCleanAppLaunchHistoryKey @"CleanAppLaunchHistory"

#define CAPPExcludedApplicationsKey @"ExcludedApplications"
#define CAPPExcludedApplicationsDidChangeNotificationName @"ExcludedApplicationsDidChange"