//
//  CAPPIconCache.h
//  CleanAppCore
//
//  Created by Tobias Kalus on 13.01.11.
//  Copyright 2011 Synium Software GmbH. All rights reserved.
//

typedef void (^CAPPIconLoadHandler)(void);


@class CAPPIcon;
@class CAPPMD5HashGenerator;


@interface CAPPIconCache : NSObject
{
	NSMutableDictionary *containers;
	NSMutableArray *cache;
	
	unsigned long long maximumCacheSize;
	BOOL lazyLoading;
}

@property unsigned long long maximumCacheSize;
@property BOOL lazyLoading;

- (CAPPIcon *)iconForFileAtURL:(NSURL *)url;
- (CAPPIcon *)iconForFileAtURL:(NSURL *)url loadHandler:(CAPPIconLoadHandler)handler;
- (NSImage *)imageForIcon:(CAPPIcon *)icon;
- (CAPPIcon *)iconWithImage:(NSImage *)image forURL:(NSURL *)url;

@end
